Notes de version de NetBeans IDE 6.8

NetBeans IDE est un environnement de développement intégré (EDI) modulaire basé sur des normes, écrit dans le langage de programmation Java. Le projet de NetBeans IDE consiste en un EDI Open Source complet écrit dans le langage de programmation Java et en une plate-forme d'application cliente riche, qui peut être utilisée comme structure générique pour créer n'importe quel type d'application. Pour savoir comment installer le logiciel sur votre système, reportez-vous à la section NetBeans IDE 6.8 Installation Instructions. Pour en savoir plus sur les nouvelles fonctionnalités incluses dans cette version de l'EDI, reportez-vous à la page NetBeans IDE 6.8 Release Information.

Sommaire

Nouveautés de la version 6.8

NetBeans IDE 6.8 est une mise à jour de NetBeans IDE 6.7.1 qui présente les modifications suivantes :

  • Prise en charge de Java EE 6
  • Prise en charge de JSF 2.0 avec de nombreuses nouvelles fonctionnalités
  • Prise en charge de PHP 5.3 avec le framework Symfony
  • Intégration améliorée de la fonctionnalité Kenai et prise en charge du suivi des bogues Jira
  • Améliorations supplémentaires incluses dans NetBeans IDE 6.8

Pour plus d'informations sur cette version, reportez-vous à la page Informations de version sur NetBeans IDE 6.8.

Informations sur la prise en charge multilingue

NetBeans IDE est proposé dans les langues prise en charge par Sun suivantes : portugais brésilien (BR), japonais (JP) et chinois simplifié (ZH).

Des traductions de l'EDI ont été effectuées par la communauté dans plusieurs autres langues. Vous pouvez les télécharger à partir de la section Community Contributed (contributions de la communauté) du menu déroulant Langue de l'IDE.

Technologies prises en charge

NetBeans IDE 6.8 prend en charge les technologies suivantes et a été testé avec les serveurs d'applications suivants. Si vous prévoyez d'utiliser des versions autres que celles qui sont explicitement énumérées, notez que l'EDI risque de se comporter de manière imprévisible.

Technologies prises en charge :
  • Java EE 5, Java EE 6 et J2EE 1.4
  • JavaFX SDK 1.2.1
  • Java ME SDK 3.0
  • Struts 1.3.8
  • Spring 2.5
  • Hibernate 3.2.5
  • API Java pour les services Web RESTful (JAX-RS) 1.1
  • PHP 5.3, 5.2, 5.1
  • Ruby 1.9, 1.8
  • JRuby 1.4
  • Rails 2.3.4
  • Groovy 1.6.4
  • Grails 1.1
  • VCS
    • CVS : 1.11.x, 1.12.x
    • Subversion : 1.4.x, 1.5.x, 1.6.x
    • Mercuriel : 1.x
    • ClearCase V7.0
   

Serveurs d'applications testés :
  • GlassFish v3
  • Sun Java System Application Server PE 8.2
  • WebLogic 11g (10.3.1.0)
  • Tomcat 6.0.20
  • Tomcat 5.5
  • JBoss 5.0

Configuration système requise

NetBeans IDE s'exécute sur les systèmes d'exploitation prenant en charge la machine virtuelle Java (JVM) et a été testé sur les plates-formes répertoriées ci-dessous.

Remarque : la résolution d'écran minimale de l'EDI est de 1 024 x 768 pixels.


Systèmes d'exploitation pris en charge

Configurations matérielles minimales

  • Microsoft Windows XP Professionnel SP3 :
    • Processeur : Intel Pentium III 800 MHz ou équivalent
    • Mémoire : 512 Mo
    • Espace disque : 750 Mo d'espace disque disponible

  • Microsoft Windows Vista SP1 :
    • Processeur : Intel Pentium III 800 MHz ou équivalent
    • Mémoire : 512 Mo
    • Espace disque : 750 Mo d'espace disque disponible

  • Microsoft Windows 7 :
    • Processeur : Intel Pentium III 800 MHz ou équivalent
    • Mémoire : 512 Mo
    • Espace disque : 750 Mo d'espace disque disponible

  • Ubuntu 9.04 :
    • Processeur : Intel Pentium III 800 MHz ou équivalent
    • Mémoire : 512 Mo
    • Espace disque : 650 Mo d'espace disque disponible

  • SE Solaris 10 (SPARC) :
    • Processeur : UltraSPARC II 450 MHz
    • Mémoire : 512 Mo
    • Espace disque : 650 Mo d'espace disque disponible

  • SE Solaris 10 (x86/x64 Platform Edition) :
    • Processeur : AMD Opteron 1200 Series 1,8 GHz
    • Mémoire : 512 Mo
    • Espace disque : 650 Mo d'espace disque disponible

  • Macintosh OS X 10.5 Intel :
    • Processeur : Dual-Core Intel
    • Mémoire : 512 Mo
    • Espace disque : 650 Mo d'espace disque disponible

  • Macintosh OS X 10.5 PPC :
    • Processeur : PowerPC G4
    • Mémoire : 512 Mo
    • Espace disque : 650 Mo d'espace disque libre

    Pour plus d'informations, reportez-vous à la section Using NetBeans on Mac OS X.

Configurations matérielles recommandées

  • Microsoft Windows XP Professionnel SP3 :
    • Processeur : Intel Pentium IV 2,6 GHz ou équivalent
    • Mémoire : 2 Go
    • Espace disque : 1 Mo d'espace disque disponible
  • Microsoft Windows Vista SP1 :
    • Processeur : Intel Pentium IV 2,6 GHz ou équivalent
    • Mémoire : 2 Go
    • Espace disque : 1 Go d'espace disque disponible
  • Microsoft Windows 7 :
    • Processeur : Intel Pentium IV 2,6 GHz ou équivalent
    • Mémoire : 2 Go
    • Espace disque : 1 Go d'espace disque disponible
  • Ubuntu 9.04 :
    • Processeur : Intel Pentium IV 2,6 GHz ou équivalent
    • Mémoire : 2 Go
    • Espace disque : 850 Mo d'espace disque disponible
  • SE Solaris 10 (SPARC) :
    • Processeur : UltraSPARC IIIi 1 GHz
    • Mémoire : 2 Go
    • Espace disque : 850 Mo d'espace disque disponible
  • SE Solaris 10 (x86/x64 Platform Edition) :
    • Processeur : AMD Opteron 1200 Series 2,8 GHz
    • Mémoire : 2 Go
    • Espace disque : 850 Mo d'espace disque disponible
  • OpenSolaris 2009.06 (x86/x64 Platform Edition) :
    • Processeur : AMD Opteron 1200 Series 2,8 GHz
    • Mémoire : 2 Go
    • Espace disque : 650 Mo d'espace disque disponible
  • Macintosh OS X 10.5 Intel :
    • Processeur : Dual-Core Intel
    • Mémoire : 2 Go
    • Espace disque : 850 Mo d'espace disque disponible
  • Macintosh OS X 10.5 PPC :
    • Processeur : PowerPC G5
    • Mémoire : 2 Go
    • Espace disque : 850 Mo d'espace disque disponible
    Pour plus d'informations, reportez-vous à la section Using NetBeans on Mac OS X.


NetBeans IDE s'exécute également sur les plates-formes suivantes :

  • Java Desktop System 2
  • Microsoft Windows 2000 Professionnel SP4
  • Mac OS X 10.4.11 Intel/Power PC
  • Diverses autres distributions Linux, dont Ubuntu 8.x, Red Hat Enterprise Linux.

Remarque : bien que les configurations système requises ci-dessus s'appliquent à la plupart des configurations de l'EDI, certains domaines de la prise en charge Web et Java EE de NetBeans sont particulièrement exigeants en matière de ressources système, surtout lorsqu'ils sont utilisés avec plusieurs serveurs d'applications. Pour optimiser les résultats lorsque vous développez des applications Web et Java EE, vérifiez que votre système répond au moins aux configurations système recommandées.

Logiciels requis

NetBeans IDE s'exécute sur le Java SE Development Kit (JDK) qui est composé de Java Runtime Environment (JRE) et des outils du développeur permettant de compiler, déboguer et exécuter les applications écrites en langage Java.

Les JDK testés pour cette version sont les suivants :

  • JDK 6 Update 14
  • JDK 5 Update 19

Remarque : pour les ensembles PHP, Ruby et C/C++ NetBeans, seul Java Runtime Environment 5 ou 6 doit être installé et exécuté.


Vous pouvez télécharger le JDK adapté à votre plate-forme depuis l'un des sites répertoriés ci-dessous :

Remarque : vous pouvez télécharger des versions archivées du JDK sur http://java.sun.com/products/archive/index.html.

Haut

Compatibilité

Lorsque vous exécutez l'EDI pour la première fois, vous pouvez importer un sous-ensemble des paramètres que vous avez utilisés dans les versions précédentes de NetBeans IDE. Si vous choisissez de ne pas importer de paramètres d'une version précédente, l'EDI s'ouvre avec les paramètres par défaut.

Remarque : l'EDI reconnaît uniquement les installations précédentes si le répertoire utilisateur se trouve à l'emplacement par défaut. Il ne reconnaît pas les installations pour lesquelles vous avez spécifié un répertoire utilisateur à l'aide du commutateur --userdir. Si vous souhaitez importer les paramètres à partir d'un EDI que le programme d'installation ne reconnaît pas, lancez l'EDI et utilisez la fonction d'importation de la fenêtre Options. Après avoir cliqué sur Importer dans la fenêtre Options, utilisez le bouton Parcourir et recherchez le répertoire utilisateur (userdir) d'installation de l'EDI contenant les paramètres que vous voulez importer. Pour plus d'informations sur l'emplacement du répertoire utilisateur de NetBeans IDE, reportez-vous à la FAQ What is a userdir and where can I find it? (en anglais).

Remarque : si vous modifiez dans NetBeans IDE 6.8 les propriétés d'un projet créé dans NetBeans IDE 4.1 ou une version précédente, le projet ne fonctionnera plus dans les versions précédentes de NetBeans IDE.

Haut

Disponibilité du SDK JavaFX 1.2.1

Le SDK JavaFX 1.2.1 est fourni avec NetBeans 6.8.

Remarque : la version minimale prise en charge du JDK pour JavaFX 1.2.1 est le JDK 6 Update 14 pour Windows et le JDK 5 Update 16 pour Mac OS. Pour en savoir plus, reportez-vous à la page JavaFX SDK System Requirements.

Remarque : pour plus d'informations sur les configurations système requises, les fonctionnalités prises en charge et les problèmes connus, reportez-vous aux JavaFX 1.2.1 SDK Release Notes.

Haut

Éditeur SQL et bases de données

Les modifications suivantes ont été apportées à la fonctionnalité des bases de données dans NetBeans IDE 6.8 :

  • Pilotes mis à niveau. Les pilotes MySQL inclus avec NetBeans IDE ont été mis à niveau vers la version 5.1.6.
  • Pilotes testés

    NetBeans IDE 6.8 a été testé avec les bases de données et pilotes suivants.

    Pilote
    Version
    URL d'exemple
    JavaDB Derby 10.4.1.3 jdbc:derby://localhost:1527/sample (Réseau)
    Oracle Oracle Database 10g Release 2 (10.2.0.2) jdbc:oracle:thin:@//localhost:1521:ora9i
    PostgreSQL 8.3 Build 603 jdbc:postgresql://jsmith.mycompany.com:5432/postgres
    MySQL MySQL Connector/J 5.1.6 jdbc:mysql://localhost:3306/sample
  • Autres pilotes

    Les pilotes et bases de données suivants n'ont pas été testés formellement, mais devraient sans doute fonctionner.

    Pilote
    Version
    URL d'exemple
    Microsoft Pilote JDBC 1.2.2828.100 de Microsoft SQL Server 2005 jdbc:sqlserver://localhost:1433;databaseName=travel;selectMethod=cursor
    IBM Pilote redistribuable DB2 JDBC Type 4 v8 fixpack 13 jdbc:db2://localhost:50002/sample
    jTDS jTDS 1.2.1 jdbc:jtds:sqlserver://test-mycompany.com:1433/travel
    DataDirect DataDirect Connect pour JDBC : 3.6 DataDirect Connect pour JDBC - 3.6.07 jdbc:datadirect:oracle://localhost;SID=ora9i jdbc:datadirect:sqlserver://localhost:1433;DatabaseName=travel;SelectMethod=cursor jdbc:datadirect:db2://localhost:50002;databaseName=sample
    Pointbase 5.2 ECF build 294

     

    jdbc:pointbase://localhost:29092/sample

     

Haut

Problèmes connus : programme d'installation

Les problèmes non résolus concernant le programme d'installation pour cette version sont les suivants :

  • Problème n° 177872 : sous Mac OS X, l'add-on GlassFish v3 et les outils de mise à jour risquent de ne pas fonctionner correctement

    Description : sous Mac OS X, l'add-on basé sur pkg et les outils de mise à jour ne fonctionnent pas correctement avec les comptes non root si GlassFish v3 a été installé par un utilisateur root.

    Solution : utilisez la commande chown -R pour changer le propriétaire de l'installation GlassFish et sélectionnez l'utilisateur non root. Par exemple : sudo chown -R <newuser>:admin /Applications/NetBeans/glassfish-v3-b73, où newuser est l'utilisateur non root. Une fois cette commande utilisée, l'utilisateur peut exécuter directement les outils bin/updatetool et bin/pkg.

  • Problème n° 6720021 : le programme d'installation ne fonctionne pas lorsque vous utilisez OpenSolaris avec n'importe quelle version du JDK 5.

    Description : le programme d'installation ne fonctionne pas lorsque vous utilisez OpenSolaris avec n'importe quelle version du JDK.

    Solution : effectuez l'installation avec le JDK 6 ou exécutez la commande export AWT_TOOLKIT=XToolkit avant d'exécuter le programme d'installation avec le JDK 5.

  • Problème n° 93568 : sous Solaris et Linux, l'installation se bloque lorsque la connexion réseau est interrompue.

    Description : sur les plates-formes Solaris et Linux, si la connexion réseau est interrompue, l'installation s'arrête lorsque le programme d'installation recherche un JDK compatible dans les répertoires réseau.

    Solution : restaurez la connexion réseau et continuez l'installation.

  • Problème n°117172 : une fenêtre vierge s'affiche lors de l'exécution du programme d'installation sous Ubuntu.

    Description : le programme d'installation affiche une boîte de dialogue blanche ou grise si vous l'exécutez sous Ubuntu et que Beryl/Compiz/Compiz Fusion est installé.

    Solution : exécutez la commande export AWT_TOOLKIT=MToolkit avant d'exécuter le programme d'installation.

  • Problème n°123300 : Sous Fedora Core 8, le programme d'installation n'affiche plus l'interface et retourne sur la console.

    Description : sous Fedora Core 8, l'affichage de l'interface d'installation s'arrête et le système retourne sur la console.

    Solution : reportez-vous à https://netbeans.org/servlets/ReadMsg?list=nbusers&msgNo=98765.

  • L'assistant d'installation de NetBeans IDE 6.8 ne démarre pas correctement (se bloque) lorsque l'utilisateur interrompt manuellement la procédure d'installation et que le programme d'installation indique qu'une autre instance du programme d'installation est en cours d'exécution.

    Description : sous Windows, lorsque Java6 est utilisé par défaut et que des fichiers zip volumineux sont stockés sur le bureau, l'assistant d'installation ne démarre pas correctement (se bloque) lorsque l'utilisateur interrompt manuellement la procédure d'installation et que le programme d'installation indique qu'une autre instance du programme d'installation est en cours d'exécution.

    Solution : avant l'installation, supprimez tous les fichiers zip volumineux du bureau.

Haut

Problèmes connus : EDI principal

Les problèmes non résolus pour cette version sont les suivants :

  • Difficultés de démarrage de l'EDI (Solaris x86 et Dual-Core Opteron).

    Description : sur certaines configurations de Solaris x86 et Dual-Core Opteron, vous pouvez rencontrer des difficultés pour démarrer l'EDI en raison d'un bogue JDK lié au chargement des bibliothèques look&feel GTK.

    Solution : si tel est le cas, spécifiez l'option de ligne de commande suivante : -laf javax.swing.plaf.metal.MetalLookAndFeel.

  • Les caractères ne s'affichent pas correctement dans certains environnements linguistiques asiatiques.

    Description : lorsque vous exécutez l'EDI avec certains environnements linguistiques asiatiques sous Ubuntu et certaines autres distributions Linux, le texte de l'écran de l'EDI risque de devenir illisible. Sur certaines distributions Linux, les caractères à plusieurs octets s'affichent sous la forme d'un rectangle en raison de problèmes de paramètres des polices JDK.

    Solution : consultez la FAQ pour savoir comment résoudre ce problème : http://wiki.netbeans.org/FaqI18nLinuxAsianFonts

  • Problème n° 6720021 : difficultés de démarrage de l'EDI sous OpenSolaris avec n'importe quelle version du JDK 5.

    Description : il est possible que l'EDI ne démarre pas sous OpenSolaris si vous utilisez une version du JDK 5.

    Solution : utilisez JDK 6 ou exécutez la commande export AWT_TOOLKIT=XToolkit avant de démarrer l'EDI.

  • Problème n° 64840 : communication réseau interrompue sous Linux lorsque le protocole IPv6 est activé.

    Description : la communication réseau est interrompue sous Linux lorsque le protocole IPv6 est activé, ce qui empêche l'EDI de se connecter aux serveurs intégrés, à la fonctionnalité de mise à jour automatique, etc.

    Solution : si cela se produit, exécutez l'EDI à l'aide du commutateur -J-Djava.net.preferIPv4Stack=true'. Vous pouvez également désactiver le protocole IPv6 (dans /etc/modules.conf ou /etc/modprobe.conf).

    Pour en savoir plus, reportez-vous au problème n° 5087907.

  • Problème n° 167401 : l'EDI se bloque de façon aléatoire sur les systèmes MacOS X qui utilisent le JDK 1.6.0 Update 13.

    Description : il est possible que l'EDI se bloque de façon aléatoire lorsque vous parcourez la barre de menu principale en raison du bogue du JDK d'Apple n° 6993269.

    Solution : vous pouvez utilisez une autre version du JDK ou modifier les options de démarrage par défaut du fichier netbeans.conf sur -J-Dapple.laf.useScreenMenuBar=false.

  • Problème n°110074 : l'éditeur se bloque régulièrement sous Solaris.

    Description : lorsque vous exécutez l'EDI sous Solaris avec le JDK 6, 6u1 ou 6u2, les threads peuvent se bloquer pendant un long moment et provoquer l'arrêt de l'éditeur.

    Solution : mettez l'installation de votre JDK 6 à niveau vers l'Update 3 ou une version plus récente.

  • Problème n° 88776 : il est possible que les applications profilées se bloquent si le profilage s'effectue en mode de rattachement dynamique.

    Description :lors d'une exécution sur le JDK 1.6, le profilage d'une application en mode de rattachement dynamique peut provoquer le blocage de l'application profilée.

    Solution : lancez l'application que vous souhaitez profiler à l'aide du commutateur -Xshare:off.

    Voir aussi le problème n°113847.

  • Problème n°119617 : le curseur se perd dans l'éditeur et la saisie au clavier est impossible.

    Description : il peut parfois arriver qu'après avoir utilisé une indication dans la fenêtre de l'éditeur, le point d'insertion dans l'éditeur disparaisse et que vous ne puissiez plus utiliser le clavier. Ce problème a principalement été signalé sous Mac OS X 10.4, mais également sous certaines versions d'Ubuntu.

    Solution : utilisez la souris pour ouvrir et fermer les boîtes de dialogue (une boîte de dialogue de propriétés par exemple). Le focus est ainsi replacé sur l'éditeur, et le point d'insertion et le clavier fonctionnent à nouveau normalement.

  • Problème n°130357 : I18N - Mac OS ne génère pas de javadoc si le nom du projet ou le chemin d'accès comporte plusieurs octets.

    Description : lors de la création du fichier de paramètres temporaire, la tâche javadoc est écrite dans le codage du système d'exploitation par défaut, c'est-à-dire MacRoman. Il semble s'agir d'une situation Mac OS dans laquelle les parties BSD et Mach (appels système et noyau) acceptent les paramètres en UTF-8, mais où le système d'exploitation et HFS restent configurés comme MacRoman.

    Solution : évitez d'utiliser plusieurs octets dans le nom du projet ou dans le chemin d'accès au projet.

  • Problème n°152916 : difficultés de démarrage de l'EDI sous Mac OS X 10.5.5 64 bits à l'aide du JDK 1.6_07.

    Description : sur certaines configurations Mac OS X 10.5.5 64 bits avec JDK 1.6_07 défini comme plate-forme Java par défaut du système, vous pouvez rencontrer des difficultés à démarrer l'EDI depuis le Finder ou à partir de la ligne de commande.

    Solution : définissez les paramètres par défaut du système sur JDK 1.5.

  • Problème n° 150416 : impossible de créer la base de données d'exemple sans InnoDB.

    Description : la base de données d'exemple dans NetBeans utilise des clés étrangères. Le moteur MyISAM ne prend pas en charge les clés étrangères. Par conséquent, il n'est pas possible d'utiliser des bases de données d'exemple sans le moteur de stockage InnoDB.

    Solution : installez le moteur de stockage transactionnel InnoDB.

  • Problème n°158421 : problèmes d'utilisation de l'EDI avec G1 Garbage Collector.

    Description : si vous utilisez G1 Garbage Collector (dans JDK 6 Update 14 ou une version plus récente et dans le JDK 7), des exceptions peuvent être émises lorsque vous utilisez l'EDI.

    Solution : n'utilisez pas G1 Garbage Collector (supprimez -XX:+UnlockExperimentalVMOptions -XX:+UseG1GC à partir de netbeans.conf ou de la ligne de commande).

Haut

Problèmes connus : Web et Java EE

Les problèmes Web et Java EE non résolus pour cette version sont les suivants :

    <
  • Problème n° 163371 : échec du déploiement des applications Web Maven sauf si un serveur d'application est sélectionné.
    Description : le déploiement d'un service Web dans une application Web Maven peut générer une exception IASDeploymentException.

    Solution : sélectionnez un serveur de déploiement à l'aide de l'onglet Exécuter via les propriétés du projet.

  • Pas de prise en charge pour les composants d'exemple Ajax.
    Description : les composants d'exemple Ajax BluePrints ne sont pas pris en charge dans cette version, car ils sont basés sur une ancienne version de Dojo qui n'est plus compatible avec les versions plus récentes. Les composants Woodstock intégrés dans NetBeans dépendent de versions plus récentes des API Dojo pour le rendu côté client. Pour la plupart des composants Ajax BP les plus utilisés (pris en charge dans NetBeans 5.5), une fonctionnalité équivalente est disponible dans le projet Woodstock répertorié ci-dessous.
    • Auto-complétion : ce blog (http://blogs.sun.com/dmitry/entry/creating_autocomplete_entry_field_with ) décrit comment obtenir une fonctionnalité similaire avec les composants de la bibliothèque du projet Woodstock.
    • Calendrier contextuel : le projet Woodstock comprend un composant de calendrier.
    • Champ de sélection d'une valeur : utilisez l'auto-complétion à la place. La fonctionnalité est similaire mais l'interface utilisateur est différente.
    • Barre de progression : le projet Woodstock comprend un composant de barre de progression.
    • Google Maps : prévu dans les versions futures.
    • Composant de classement : prévu dans les versions futures.
    • Éditeur RichText : non pris en charge.

Haut

Problèmes connus : prise en charge des bases de données

NetBeans vous permet de rédiger du code pour intégrer et connecter vos applications à des bases de données.

Les problèmes non résolus concernant les bases de données pour cette version sont les suivants :

  • Problème n°168812 : l'instruction SELECT * INTO ne met à jour que les 20 premières lignes.

    Description : l'instruction SELECT * INTO table2 FROM table1 ne met à jour que les 20 premières lignes de la table2.

    Solution : créez la table1 et appelez l'instruction INSERT INTO table2, puis SELECT * FROM table1.

Haut

Problèmes connus : Java ME

NetBeans vous permet de développer des applications Java ME pour les périphériques MIDP, CLDC et CDC.

Les problèmes non résolus concernant Java ME pour cette version sont les suivants :

  • Linux, Solaris et d'autres systèmes d'exploitation ne sont pas pris en charge par le SDK 3.0 de Java ME.

    Description : NetBeans 6.8 Mobility et le SDK 3.0 de Java ME fournis avec cette version ne prennent en charge que le système d'exploitation Windows.

    Solution : le programme d'installation Linux est intégré Sun Java Wireless Toolkit 2.5.2. Les utilisateurs de Mac OS peuvent télécharger le Java Platform Micro Edition Software Development Kit 3.0 for MacOS EA afin de développer des applications mobiles. La FAQ comporte des instructions concernant l'installation de Java ME SDK 3.0 for MacOS dans l'EDI.

  • Problème n° 139031 : l'émulateur ne démarre pas sous Windows si le fichier Java binaire n'est pas dans le chemin d'accès de l'environnement.

    Description : le SDK de Java ME et d'autres émulateurs ne se lancent pas sous Windows si Java.exe ne se trouve pas dans le chemin d'accès.

    Solution : installez le JDK à l'aide des paramètres par défaut ou, si vous effectuez une installation personnalisée, n'oubliez pas de sélectionner le JRE public pour l'installation. Si le JDK est déjà installé, vous pouvez ajouter le fichier Java.exe dans les paramètres du chemin d'accès de votre système.

Haut

Problèmes connus : Ruby

NetBeans vous permet de développer des applications Ruby et Ruby Rails.

Les problèmes non résolus concernant Ruby pour cette version sont les suivants :

  • Problème n° 171338 : les utilisateurs ne peuvent pas créer de projets Rails.

    Description : les utilisateurs ne peuvent pas créer de projet lorsque le chemin d'accès au répertoire de la plate-forme JRuby intégrée contient des espaces.

    Solution : mettez manuellement RubyGems à niveau à partir de la ligne de commande : nb_install_dir_ruby2/jruby-1.4/bin/jruby -S gem update --system

Haut

Problèmes connus : C/C++

NetBeans C/C++ prend en charge les applications C et C++ sous Microsoft Windows, Mac OS X, Linux et le système d'exploitation SolarisTM. Les développeurs C/C++ peuvent intégrer des applications existantes dans le système de projet NetBeans ou développer de nouvelles applications et bibliothèques. La prise en charge C/C++ de NetBeans couvre l'intégralité du cycle de développement : les projets et modèles, un éditeur compatible avec les langages avancé, des versions basées sur le fichier makefile et un débogage.

Pour plus d'informations sur l'installation et la configuration des compilateurs et des outils pour la prise en charge NetBeans C/C++, reportez-vous à la section Installing and Configuring C/C++ Support.

Les problèmes non résolus concernant C/C++ pour cette version sont les suivants :

  • Problème n° 149053 : sur les plates-formes Windows, le chemin d'accès de création d'outils ne peut pas contenir d'espace.

    Description : sur les plates-formes Windows, si le chemin permettant de créer des outils contient des espaces, il est tronqué et les outils sont introuvables.

    Solution : n'utilisez pas d'espaces dans le chemin de création des outils.

  • Problème n° 166811 : GDB échoue sur Open Solaris lorsque vous commencez à déboguer des fichiers C++.

    Description : lorsque vous déboguez des projets C++ sur Open Solaris, GDB échoue en raison d'une erreur de segmentation.

    Solution : supprimez les packages gcc-432 comme le décrit la solution à ce problème.

  • Problème n° 148204 : sur les plates-formes Windows, la saisie utilisateur ne fonctionne pas dans la fenêtre de résultat lors du débogage.

    Description : sur les plates-formes Windows, lorsque vous déboguez une application et que le type de console du projet est défini sur la fenêtre de résultat, vous ne pouvez pas saisir de données dans cette fenêtre. Ce problème n'affecte pas le développement avec un hôte distant.

    Solution : définissez le type de console sur Terminal Externe. Pour ce faire, cliquez avec le bouton droit de la souris sur la fenêtre Projets, sélectionnez le nœud Exécuter dans la boîte de dialogue Propriétés du projet, choisissez Terminal Externe dans la liste déroulante Type de console, puis cliquez sur OK.

  • Problème n° 121776 : il est parfois difficile de déboguer le code compilé Sun Studio avec gdb.

    Description : sur les systèmes d'exploitation Solaris et Linux, le code compilé avec les compilateurs Sun Studio ne peut pas toujours être correctement débogué avec le débogueur gdb. La plupart des problèmes connus sont résolus dans le logiciel Sun Studio 12 mais certains autres existent. Si vous ne parvenez pas à déboguer des programmes compilés avec les compilateurs Sun Studio 12, appliquez d'abord les derniers patchs du produit Sun Studio 12. Si le problème persiste, signalez le problème dans Issuezilla et rendez cette tâche dépendante du problème.

    Au fur et à mesure que des problèmes sont découverts, nous ouvrons de nouveaux cas et actualisons cette tâche pour qu'elle dépende de ces problèmes, ce qui donne une idée de l'état actuel du débogage des programmes compilés avec les compilateurs Sun Studio 12 à l'aide de NetBeans et du débogueur gdb.

    Ces problèmes n'ont pas d'incidence sur le débogage du code compilé avec les compilateurs Sun Studio 12 à l'aide de l'EDI Sun Studio 12 et du débogueur dbx.

  • Problème n°121775 : le Xcode le plus récent est nécessaire pour déboguer sur Tiger (Mac OS X 10.4).

    Description : lorsque vous déboguez sur Macintosh avec Tiger (Mac OS X 10.4), la version par défaut des compilateurs gcc et g++, génère un code accompagné d'un bogue dans le résultat du débogage. Apple a sorti un package Xcode actualisé (version 2.5) pour résoudre ce problème. Les versions appropriées de gcc, g++ et gdb sont : gcc: 4.0.1 - Apple build 5367 g++: 4.0.1 - Apple build 5367 gdb: 6.3.50 - Apple build 573 (10/20/2006).

    Pour télécharger cette version de Xcode, rendez-vous sur la page http://developer.apple.com/tools/download.

    Ce problème ne concerne pas Leopard (Mac OS X 10.5).

    Les symptômes du problème sont les suivants : les exécutables compilés avec l'indicateur -gdwarf (la valeur par défaut pour les projets de l'application C/C++) ont des informations de ligne incorrectes et les points d'arrêt peuvent être ignorés.

Haut

Informations complémentaires

Vous trouverez des actualités, des articles, des modules complémentaires, ainsi que d'autres informations utiles sur le site Web du projet NetBeans. Étant donné que NetBeans est un projet Open Source, le site Web permet également d'accéder au code source, à une base de données de bogues, à des informations pour créer vos propres modules NetBeans et bien plus encore. Pour plus d'informations, visitez le site http://www.netbeans.org.

Documentation

Pour tirer le meilleur parti des fonctionnalités de NetBeans IDE 6.8, consultez nos didacticiels et nos captures vidéo sur le Web. Consultez fréquemment ces pages, car nous actualisons régulièrement leur contenu.

Le système d'aide intégré de NetBeans IDE 6.8 a été mis à jour afin d'intégrer les nouvelles fonctionnalités et les modifications mineures apportées à l'interface utilisateur depuis la version 6.7.

Communauté

Tenez-vous au courant des derniers développements et interagissez avec la communauté NetBeans en vous inscrivant aux listes de diffusion du projet NetBeans sur https://netbeans.org/community/lists/.

Vous pouvez poser des questions à l'adresse http://forums.netbeans.org/. Les forums sont synchronisés avec les listes de diffusion NetBeans les plus utilisées. Notez qu'une inscription distincte est requise pour accéder aux forums.

Veuillez consulter la page contenant les informations de traduction de la communauté sur http://translatedfiles.netbeans.org/ pour savoir comment contribuer à la traduction dans d'autres langues de l'interface utilisateur, l'aide et la documentation utilisateur de NetBeans.



Haut

Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2013, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo